# Generated automatically from Makefile.in by configure.
# $Id: Makefile,v 1.1.1.1 2000/03/10 16:32:24 engin Exp $

GOAL   = $(OBJECTS)

# Objects and sources files, objects must be on single line
SOURCES		= rpsl_attr.cc rpsl_filter.cc rpsl_item.cc rpsl_policy.cc \
		  object.cc schema.cc symbols.cc prefix.cc \
		  rpsl.y.cc rpsl.l.cc schema_rpsl.cc \
		  rptype.cc regexp.cc rangelist.cc object_log.l.cc

OBJECTS		= rpsl_attr.o  rpsl_filter.o  rpsl_item.o  rpsl_policy.o  \
		  object.o  schema.o  symbols.o  prefix.o \
		  rpsl.y.o  rpsl.l.o  schema_rpsl.o  \
		  rptype.o  regexp.o  rangelist.o  object_log.l.o

HEADERS		= rpsl_attr.hh rpsl_filter.hh rpsl_item.hh rpsl_policy.hh \
		  object.hh schema.hh symbols.hh prefix.hh \
		  rpsl.y.hh \
		  rptype.hh regexp.hh rangelist.hh config.h

OTHERS		= rpsl.l rpsl.y object_log.l

# Paths
srcdir		= .
top_srcdir	= ..
prefix      	= /usr/local
exec_prefix 	= ${prefix}
bindir      	= ${exec_prefix}/bin
mandir      	= ${prefix}/man
man1dir     	= $(mandir)/man1
man8dir     	= $(mandir)/man8

# programs

SHELL           = /bin/sh
RANLIB          = ranlib
CC              = gcc
CXX             = c++
BISON           = bison -y
FLEX            = flex
LD              = c++
PERL            = @PERL_PATH@
INSTALL         = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA    = @INSTALL_DATA@

# Other variables
DEFINES  	= -DHAVE_CONFIG_H
CFLAGS   	= -O3 -gstabs+
CPPFLAGS 	= 
LDFLAGS  	= 
CXXFLAGS 	= -O3 -gstabs+ -frtti
INCDIRS 	= -I. -I$(srcdir) -I.. -I$(top_srcdir)/src -I$(top_srcdir)/../Core 
DISTFILES	= Makefile.in $(SOURCES) $(HEADERS) $(OTHERS)

default: all

# Implicit rules
%.y.cc %.y.hh: %.y
	@echo Compiling: `basename $<`
	$(BISON) -d -p `basename $< .y` $<
	mv y.tab.c `basename $<`.cc
	mv y.tab.h `basename $<`.hh

%.l.cc: %.l
	@echo Compiling: `basename $<`
	$(FLEX) -P`basename $< .l` $<
	mv lex.`basename $< .l`.c `basename $<`.cc

.c.o:
	@echo Compiling: `basename $<`
	$(CC)  -c $(CPPFLAGS) $(CFLAGS) $(DEFINES) $(INCDIRS) $<

.cc.o:
	@echo Compiling: `basename $<`
	$(CXX) -c $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) $<

.SUFFIXES: .cc

# Making the distribution
distdir: 
	@for file in `cd $(srcdir) && echo $(DISTFILES)`; do \
	  test -f $(distdir)/$$file \
	  || ln $(srcdir)/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $(srcdir)/$$file $(distdir)/$$file; \
	done

# Explicit rules
all: $(OBJECTS)

clean:
	rm -f core *.o *~ *.y.cc *.y.hh *.l.cc *.l.hh *.tk.cc $(GOAL)

mostlyclean:
	rm -f core *.o *~ *.y.cc *.y.hh *.l.cc *.l.hh *.tk.cc

depend: $(SOURCES)
	@echo Making dependencies for $(SOURCES)
	@$(CXX) -MM $(CPPFLAGS) $(CXXFLAGS) $(DEFINES) $(INCDIRS) ${SOURCES} >makedep
	@echo '/^# DO NOT DELETE THIS LINE/+1,$$d' >eddep
	@echo '$$r makedep' >>eddep
	@echo 'w' >>eddep
	@cp Makefile Makefile.bak
	@ed - Makefile < eddep
	@rm eddep makedep
	@echo '# DEPENDENCIES MUST END AT END OF FILE' >> Makefile
	@echo '# IF YOU PUT STUFF HERE IT WILL GO AWAY' >> Makefile
	@echo '# see make depend above' >> Makefile

# DO NOT DELETE THIS LINE
rpsl_attr.o: rpsl_attr.cc ../config.h rpsl_attr.hh rptype.hh \
 ../../Core/util/List.hh regexp.hh ../gnu/SetOfSymID.hh \
 ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h ../gnu/Pix.h \
 ../gnu/SymID.defs.h ../gnu/std.h rangelist.hh symbols.hh \
 ../../Core/util/Allocator.hh ../../Core/util/xstring.h prefix.hh \
 rpsl_item.hh rpsl_policy.hh rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh object.hh \
 ../../Core/util/Buffer.hh ../../Core/util/debug.hh schema.hh
rpsl_filter.o: rpsl_filter.cc ../config.h rpsl_filter.hh \
 ../../Core/util/List.hh symbols.hh ../../Core/util/Allocator.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h \
 ../../Core/util/xstring.h prefix.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh regexp.hh rangelist.hh \
 rpsl_item.hh rpsl_attr.hh rptype.hh rpsl_policy.hh
rpsl_item.o: rpsl_item.cc ../config.h rpsl_item.hh \
 ../../Core/util/List.hh symbols.hh ../../Core/util/Allocator.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h \
 ../../Core/util/xstring.h prefix.hh rpsl_filter.hh \
 ../gnu/prefixranges.hh ../gnu/PrefixRange.XPlex.h \
 ../gnu/PrefixRange.Plex.h ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh \
 regexp.hh rangelist.hh
rpsl_policy.o: rpsl_policy.cc ../config.h rpsl_policy.hh \
 ../../Core/util/List.hh symbols.hh ../../Core/util/Allocator.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h \
 ../../Core/util/xstring.h prefix.hh rpsl_filter.hh \
 ../gnu/prefixranges.hh ../gnu/PrefixRange.XPlex.h \
 ../gnu/PrefixRange.Plex.h ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh \
 regexp.hh rangelist.hh rpsl_item.hh rpsl_attr.hh rptype.hh
object.o: object.cc ../config.h object.hh ../../Core/util/List.hh \
 ../../Core/util/Buffer.hh ../../Core/util/debug.hh rpsl_attr.hh \
 rptype.hh regexp.hh ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h \
 ../gnu/SymID.Set.h ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h \
 rangelist.hh symbols.hh ../../Core/util/Allocator.hh \
 ../../Core/util/xstring.h prefix.hh rpsl_item.hh rpsl_policy.hh \
 rpsl_filter.hh ../gnu/prefixranges.hh ../gnu/PrefixRange.XPlex.h \
 ../gnu/PrefixRange.Plex.h ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh \
 schema.hh
schema.o: schema.cc ../config.h ../gnu/std.h object.hh \
 ../../Core/util/List.hh ../../Core/util/Buffer.hh \
 ../../Core/util/debug.hh rpsl_attr.hh rptype.hh regexp.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h rangelist.hh symbols.hh \
 ../../Core/util/Allocator.hh ../../Core/util/xstring.h prefix.hh \
 rpsl_item.hh rpsl_policy.hh rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh schema.hh
symbols.o: symbols.cc ../config.h symbols.hh \
 ../../Core/util/Allocator.hh ../gnu/SetOfSymID.hh \
 ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h ../gnu/Pix.h \
 ../gnu/SymID.defs.h ../gnu/std.h ../../Core/util/xstring.h
prefix.o: prefix.cc ../config.h prefix.hh
rpsl.y.o: rpsl.y.cc ../config.h /usr/include/time.h schema.hh \
 rptype.hh ../../Core/util/List.hh rpsl_attr.hh regexp.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h rangelist.hh symbols.hh \
 ../../Core/util/Allocator.hh ../../Core/util/xstring.h prefix.hh \
 rpsl_item.hh rpsl_policy.hh rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh object.hh \
 ../../Core/util/Buffer.hh ../../Core/util/debug.hh
rpsl.l.o: rpsl.l.cc ../config.h object.hh ../../Core/util/List.hh \
 ../../Core/util/Buffer.hh ../../Core/util/debug.hh rpsl_attr.hh \
 rptype.hh regexp.hh ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h \
 ../gnu/SymID.Set.h ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h \
 rangelist.hh symbols.hh ../../Core/util/Allocator.hh \
 ../../Core/util/xstring.h prefix.hh rpsl_item.hh rpsl_policy.hh \
 rpsl_filter.hh ../gnu/prefixranges.hh ../gnu/PrefixRange.XPlex.h \
 ../gnu/PrefixRange.Plex.h ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh \
 rpsl.y.hh schema.hh
schema_rpsl.o: schema_rpsl.cc ../config.h ../gnu/std.h schema.hh \
 rptype.hh ../../Core/util/List.hh rpsl_attr.hh regexp.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h rangelist.hh symbols.hh \
 ../../Core/util/Allocator.hh ../../Core/util/xstring.h prefix.hh \
 rpsl_item.hh rpsl_policy.hh rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh object.hh \
 ../../Core/util/Buffer.hh ../../Core/util/debug.hh rpsl.y.hh
rptype.o: rptype.cc ../config.h ../../Core/util/List.hh rptype.hh \
 schema.hh rpsl_attr.hh regexp.hh ../gnu/SetOfSymID.hh \
 ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h ../gnu/Pix.h \
 ../gnu/SymID.defs.h ../gnu/std.h rangelist.hh symbols.hh \
 ../../Core/util/Allocator.hh ../../Core/util/xstring.h prefix.hh \
 rpsl_item.hh rpsl_policy.hh rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h ../rpsl/prefix.hh
regexp.o: regexp.cc ../config.h regexp.hh ../gnu/SetOfSymID.hh \
 ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h ../gnu/Pix.h \
 ../gnu/SymID.defs.h ../gnu/std.h ../../Core/util/List.hh rangelist.hh \
 symbols.hh ../../Core/util/Allocator.hh ../../Core/util/xstring.h
rangelist.o: rangelist.cc ../config.h rangelist.hh \
 ../../Core/util/List.hh
object_log.l.o: object_log.l.cc ../config.h ../../Core/util/List.hh \
 ../rpsl/object.hh ../../Core/util/Buffer.hh ../../Core/util/debug.hh \
 ../rpsl/rpsl_attr.hh ../rpsl/rptype.hh ../rpsl/regexp.hh \
 ../gnu/SetOfSymID.hh ../gnu/SymID.VHSet.h ../gnu/SymID.Set.h \
 ../gnu/Pix.h ../gnu/SymID.defs.h ../gnu/std.h ../rpsl/rangelist.hh \
 ../rpsl/symbols.hh ../../Core/util/Allocator.hh \
 ../../Core/util/xstring.h ../rpsl/prefix.hh ../rpsl/rpsl_item.hh \
 ../rpsl/rpsl_policy.hh ../rpsl/rpsl_filter.hh ../gnu/prefixranges.hh \
 ../gnu/PrefixRange.XPlex.h ../gnu/PrefixRange.Plex.h \
 ../gnu/PrefixRange.defs.h
# DEPENDENCIES MUST END AT END OF FILE
# IF YOU PUT STUFF HERE IT WILL GO AWAY
# see make depend above
